package com.meas.system.service;

import java.util.List;

import com.meas.system.domain.MeasSpectralRadiation;

/**
 * 光谱辐射Service接口
 *
 * @author wgk
 * @date 2024-06-13
 */
public interface IMeasSpectralRadiationService {
    /**
     * 查询光谱辐射
     *
     * @param id 光谱辐射主键
     * @return 光谱辐射
     */
    public MeasSpectralRadiation selectMeasSpectralRadiationById(Long id);

    /**
     * 查询光谱辐射列表
     *
     * @param measSpectralRadiation 光谱辐射
     * @return 光谱辐射集合
     */
    public List<MeasSpectralRadiation> selectMeasSpectralRadiationList(MeasSpectralRadiation measSpectralRadiation);

    /**
     * 新增光谱辐射
     *
     * @param measSpectralRadiation 光谱辐射
     * @return 结果
     */
    public MeasSpectralRadiation insertMeasSpectralRadiation(MeasSpectralRadiation measSpectralRadiation);

    /**
     * 修改光谱辐射
     *
     * @param measSpectralRadiation 光谱辐射
     * @return 结果
     */
    public int updateMeasSpectralRadiation(MeasSpectralRadiation measSpectralRadiation);

    /**
     * 批量删除光谱辐射
     *
     * @param ids 需要删除的光谱辐射主键集合
     * @return 结果
     */
    public int deleteMeasSpectralRadiationByIds(Long[] ids);

    /**
     * 删除光谱辐射信息
     *
     * @param id 光谱辐射主键
     * @return 结果
     */
    public int deleteMeasSpectralRadiationById(Long id);

    MeasSpectralRadiation selectResultsByEnvDataId(Long envDataId);
}
